<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      body {
        margin-top: 200px;
      }
      .password-form {
        display: flex;
        flex-direction: column;
        margin-top: 30px;
      }
      .input-wrapper {
        position: relative;
        width: 200px;
      }

      .input-wrapper input {
        min-width: 120px;
        padding: 10px;
        margin-bottom: 24px;
      }

      .input-wrapper i {
        position: absolute;
        right: 25px;
        top: 30px;
        color: grey;
      }

      .btn {
        width: 150px;
      }
      .icon-password-hide {
        display: none;
      }
      .wrong-password {
        transform: translateY(-20px);
        color: tomato;
      }
    </style>
  </head>
  <body>
    <form class="password-form" action="#" type="POST">
      <label class="input-wrapper">
        Ввести пароль
        <input type="password" class="input" />
        <i class="fas fa-eye icon-password"></i>
        <i class="fas fa-eye-slash icon-password-hide"></i>
      </label>

      <label class="input-wrapper">
        Подтвердить пароль
        <input type="password" class="input" />
        <i class="fas fa-eye icon-password"></i>
        <i class="fas fa-eye-slash icon-password-hide"></i>
        <div class="wrong-password" hidden>
          Нужно ввести одинаковые значения
        </div>
      </label>
      <button type="submit" class="btn">Подтвердить</button>
    </form>
    <script>
      const form = document.querySelector(".password-form");
      const icons = document.querySelectorAll(".icon-password");
      const input = document.querySelectorAll(".input");
      const slashIcons = document.querySelectorAll(".icon-password-hide");

      form.addEventListener("mousedown", (e) => {
        const showPassword = e.target;
        if (showPassword === icons[0]) {
          input[0].type = "Text";
          icons[0].style.display = "none";
          slashIcons[0].style.display = "block";
        } else if (showPassword === icons[1]) {
          input[1].type = "text";
          icons[1].style.display = "none";
          slashIcons[1].style.display = "block";
        }
      });

      form.addEventListener("mouseup", (e) => {
        const hidePassword = e.target;
        if (hidePassword === slashIcons[0] ) {
          input[0].type = "password";
          icons[0].style.display = "block";
          slashIcons[0].style.display = "none";
        } else if (hidePassword === slashIcons[1]) {
          input[1].type = "password";
          icons[1].style.display = "block";
          slashIcons[1].style.display = "none";
        }
      });

      const btn = document.querySelector(".btn");
      const wrongPassword = document.querySelector(".wrong-password");

      btn.addEventListener("click", (e) => {
        e.preventDefault();
        if (
          input[0].value === input[1].value &&
          (input[0].value !== "" || input[1].value !== "")
        ) {
            document.body.insertAdjacentHTML('afterbegin', 'You are welcome')

          wrongPassword.hidden = true;
        } else {
          wrongPassword.hidden = false;
        }
      });
    </script>
  </body>
</html>
